Bug 26956 - Allow "Show checkouts/fines to guarantor" to be set without a guarantor saved
Summary: Allow "Show checkouts/fines to guarantor" to be set without a guarantor saved
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-06 15:36 UTC by Andrew Fuerste-Henry
Modified: 2021-01-10 00:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01,20.05.07


Attachments
Bug 26956: Allow guarantor's controls to be set when a guarantee is created (2.97 KB, patch)
2020-12-02 09:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26956: Allow guarantor's controls to be set when a guarantee is created (3.04 KB, patch)
2020-12-10 00:39 UTC, Kelly McElligott
Details | Diff | Splinter Review
Bug 26956: Allow guarantor's controls to be set when a guarantee is created (3.09 KB, patch)
2020-12-25 19:27 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-11-06 15:36:23 UTC
With AllowStaffToSetCheckoutsVisibilityForGuarantor and  AllowStaffToSetFinesVisibilityForGuarantor set to Allow, one can only see the controls for these values in the patron record *after* the patron has been saved with a guarantor. That makes a frustrating 2-step process. We should be able to set those values regardless of whether or not there is currently a guarantor on the account.
Comment 1 Jonathan Druart 2020-12-02 09:37:22 UTC
Created attachment 114088 [details] [review]
Bug 26956: Allow guarantor's controls to be set when a guarantee is created

With AllowStaffToSetCheckoutsVisibilityForGuarantor and
AllowStaffToSetFinesVisibilityForGuarantor set to Allow, one can only see the
controls for these values in the patron record *after* the patron has been saved
with a guarantor. That makes a frustrating 2-step process. We should be able to
set those values regardless of whether or not there is currently a guarantor on
the account.

Test plan:
Create a guarantee and confirm that the 2 options "Show checkouts to
guarantors" and "Show fines to guarantors" are displayed
Select Yes, save
Confirm that the values have been correctly saved
Comment 2 Kelly McElligott 2020-12-10 00:39:54 UTC
Created attachment 114294 [details] [review]
Bug 26956: Allow guarantor's controls to be set when a guarantee is created

With AllowStaffToSetCheckoutsVisibilityForGuarantor and
AllowStaffToSetFinesVisibilityForGuarantor set to Allow, one can only see the
controls for these values in the patron record *after* the patron has been saved
with a guarantor. That makes a frustrating 2-step process. We should be able to
set those values regardless of whether or not there is currently a guarantor on
the account.

Test plan:
Create a guarantee and confirm that the 2 options "Show checkouts to
guarantors" and "Show fines to guarantors" are displayed
Select Yes, save
Confirm that the values have been correctly saved

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 3 Victor Grousset/tuxayo 2020-12-25 19:27:45 UTC
Created attachment 114704 [details] [review]
Bug 26956: Allow guarantor's controls to be set when a guarantee is created

With AllowStaffToSetCheckoutsVisibilityForGuarantor and
AllowStaffToSetFinesVisibilityForGuarantor set to Allow, one can only see the
controls for these values in the patron record *after* the patron has been saved
with a guarantor. That makes a frustrating 2-step process. We should be able to
set those values regardless of whether or not there is currently a guarantor on
the account.

Test plan:
Create a guarantee and confirm that the 2 options "Show checkouts to
guarantors" and "Show fines to guarantors" are displayed
Select Yes, save
Confirm that the values have been correctly saved

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 4 Victor Grousset/tuxayo 2020-12-25 19:33:34 UTC
QA script ok, test plan ok, code ok :)
Comment 5 Jonathan Druart 2020-12-26 17:15:09 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2020-12-30 14:39:10 UTC
Pushed to 20.11.x for 20.11.01
Comment 7 Andrew Fuerste-Henry 2021-01-04 21:55:42 UTC
Pushed to 20.05.x for 20.05.07
Comment 8 Victor Grousset/tuxayo 2021-01-10 00:37:21 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.